require "mercado_pago_rails/mercado_pago_checkout"
require "mercado_pago_rails/mercado_pago_response"
require "mercado_pago_rails/mercado_pago_rails_helper"
require "mercado_pago_rails/version"

module MercadoPagoRails

  def generate_purchase(mercado_pago_object, urls = {})
    purchase = MercadoPagoRailsHelper.mp.create_preference(get_data(mercado_pago_object, urls))
    mercado_pago_object.new_status(purchase['response']['error'] ? "error" : "pending")
    MercadoPagoResponse.new(purchase)
  end

  private
    def get_data(mercado_pago_object, urls)
      role = MercadoPagoCheckout.new(mercado_pago_object)
      role.generate(urls[:success_url], urls[:pending_url], urls[:failure_url])
    end
end
