require 'i18n'

class MercadoPagoCheckout

  def initialize(model)
    @model = model
  end

  def generate(success_url, pending_url, failure_url)
    { :external_reference => @model.external_reference,
      :items =>  get_items,
      :payer => get_payer,
      :back_urls => { pending: pending_url, success: success_url, failure: failure_url }
    }
  end

  private
    def get_items
      [{  :id => '',
          :title => "#{I18n.t('mercadopago.preference.title', brand: @model.title)}",
          :quantity => @model.quantity,
          :unit_price => @model.unit_price,
          :currency_id => @model.currency,
          :picture_url => @model.picture_url
      }]
    end

    def get_payer
      { :name => @model.payer_namer,
       :surname => @model.payer_surname,
       :email => @model.payer_email
      }
    end
end
